/* 导航 */
html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    background-color: #000;
}

.header {
    width: 96%;
    padding: 0 0.4rem;
    margin: 0 auto;
    position: fixed;
    top: 0;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header img {
    width: 4rem;
    height: 1.6rem;
    object-fit: cover;
}

.header a {
    display: inline-block;
    width: 3.08rem;
    height: 0.72rem;
    background: url(../../../images/pc/header-btn.png) no-repeat;
    background-size: cover;
}

.menu {
    width: 4.69rem;
    background: url(../../../images/pc/menu-bg.png) no-repeat;
    background-size: cover;
    height: 100%;
    position: fixed;
    z-index: 9;
    pointer-events: none;
}

.menu ul {
    left: 0.11rem;
    height: 2.52rem;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    transition: transform 0.3s ease;
    pointer-events: auto;
}

.menu ul li {
    width: 1.95rem;
    display: flex;
    gap: 0.15rem;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
}

.menu ul li.active {
    width: 2.35rem;
}

.menu ul li .icon {
    display: inline-block;
    width: 0.5rem;
    height: 0.39rem;
}

.menu ul li.active .icon {
    display: inline-block;
    width: 0.82rem;
    height: 0.39rem;
    background: url(../../../images/pc/menu-icon-active.png) no-repeat;
    background-size: cover;
}

.menu ul li a {
    display: block;
    flex: 1;
    text-align: left;
    font-size: 0.3rem;
    background: linear-gradient(to bottom, #ebebeb, #a4ffff);
    -webkit-background-clip: text;
    color: transparent;
    font-family: 'Heavy-bold';
}

.menu ul li.active a {
    background: linear-gradient(to bottom, #fdeeca, #f8c475);
    -webkit-background-clip: text;
    color: transparent;
    font-size: 0.33rem;
}

.slide-img {
    position: fixed;
    z-index: 9;
    left: 50%;
    top: 93.5%;
    transform: translate(-50%, -50%);
}

.slide-img a {
    display: inline-block;
    width: 0.65rem;
    height: 0.79rem;
    background: url(../../../images/pc/slide-img.png) no-repeat;
    background-size: cover;
    animation: qa 4s linear .6s infinite;
    -webkit-animation: qa 4s linear .6s infinite
}

@keyframes qa {
    0% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0)
    }

    50% {
        -webkit-transform: translate(0, 0.3rem);
        transform: translate(0, 0.3rem)
    }

    100% {
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0)
    }
}
/* 侧边栏样式 */
.side-bar {
    position: fixed;
    right: 0;
    top: 90%;
    transform: translateY(-50%);
    z-index: 999;
    display: flex;
    align-items: center;
    transition: right 0.3s ease-in-out;
}

.side-bar-content {
    transition: opacity 0.3s ease, transform 0.3s ease;
    width: 4.8rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.side-bar .qr-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 1.54rem;
    height: 1.84rem;
    background: url(../../../images/pc/code-bg.png) no-repeat;
    background-size: cover;
}

.side-bar .qr-title {
    font-size: 0.19rem;
    color: #fff;
    white-space: nowrap;
    line-height: 0.35rem;
}

.side-bar .qr-item img {
    width: 1.44rem;
    height: 1.44rem;
    object-fit: contain;
        border: 0.01rem solid #cfe2f8;
}

.side-bar-toggle {
    cursor: pointer;
    transition: transform 0.3s ease;

}



.side-bar-toggle img {
    width: 0.58rem;
    height: auto;
    display: block;
    transform: rotate(180deg);
}
.side-bar.collapsed {
    right: 0;
    top: 50%;
}

.side-bar.collapsed .side-bar-content {
    opacity: 0;
    pointer-events: none;
    transform: translateX(0.5rem);
}

.side-bar.collapsed .side-bar-toggle img {
    transform: rotate(0deg);
}

/* 导航 :end */
#fullpage {
    position: relative;
    z-index: 0;
}


.section {
    position: relative;
    height: 100%;
    overflow: hidden;
}

.home {

    background: url(../../../images/pc/home-bg.jpg) center no-repeat;
    background-size: cover;
    width: 100%;
    height: 100%;
    position: relative;
}

.home .container{
    width: 10.65rem;
    margin: 0 auto;
    height: 100%;
    position: relative;

}
.home .container .slo{
    position: absolute;
    left: 50%;

    top:70%;
    transform: translate(-50%, -50%);
}
.home .container .slo img{
    width: 10.65rem;
    height: 3.37rem;
    object-fit: cover;
}
.home .container .content{

    width: 8.8rem;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    left: 50%;
    top: 86%;
    transform: translate(-50%, -50%);
}

.home .container .content img {
    width: 0.96rem;
    height: 1.23rem;
    object-fit: cover;
}

.home .container a {
    display: inline-block;
    width: 3.08rem;
    height: 0.72rem;
    background: url(../../../images/pc/home-btn.png) no-repeat;
    background-size: cover;
}

.home .container a:last-child {
    background-position-y: -0.72rem;
    margin-right: 1.2rem;
}

.news {
    background: url(../../../images/pc/other-bg.jpg) center no-repeat;
    background-size: cover;
    width: 100%;
    height: 100%;
    position: relative;
}

.news .container {
    width: 15.87rem;
    height:100%;
    margin: 0 auto;
    padding-top: 10%;

}



.news .container .content {
  width: 15.87rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
.news .container .content::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../../../images/pc/news-border.png) center no-repeat;
  background-size: cover;
  z-index: 10;
  pointer-events: none;
}

.news-swiper {
  width: 9.54rem;
  height: 100%;
  margin: 0;
  overflow: hidden;
  position: relative;
}

.news-swiper .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
}

.news-swiper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.news-swiper .swiper-pagination {
  position: absolute;
  bottom: 0.4rem;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.12rem;
}

.news-swiper .swiper-pagination-bullet {
  width: 0.18rem;
  height: 0.18rem;
  background: #8ccdf1;
  border-radius: 0.18rem;
  opacity: 1;
}

.news-swiper .swiper-pagination-bullet-active {
  width: 0.15rem;
  height: 0.15rem;
   background: #fff;
   border:0.03rem solid #8ccdf1;
  border-radius: 0.15rem;
  background-size: cover;
}

.news-tab {
  width: 6.34rem;
  height: 6.08rem;
  background: rgba(207, 226, 248, 0.7);
}

.tab-buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 0.02rem solid #3d79bf;
  width: 5.56rem;
  margin: 0.2rem auto 0;
}

.tab-btn {
  padding: 0 0.25rem;
  line-height: 0.65rem;
  background: none;
  border: none;
  cursor: pointer;
  font-size: 0.24rem;
  color: #3d79bf;
  transition: all 0.3s ease;
  font-weight: bold;

}

.tab-btn.active {
  color: #204066;
}




.tab-content {
  width: 5.56rem;
  margin: 0 auto;
}

.tab-pane {
  display: none;
  animation: fadeIn 0.5s;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.tab-pane.active {
  display: block;
}

.news-title {
  background: #3d79bf;
  width: 100%;
  height: 0.74rem;
  margin: 0.34rem auto 0.25rem;
}

.news-title p {
  text-align: center;
  line-height: 0.74rem;
  color: #ffffff;
  font-size: 0.21rem;
  letter-spacing: 0.02rem;
  font-weight: bold;
}

.news-list {
  list-style: none;
  padding: 0;
  margin: 0;
  height: 4.5rem;
  overflow: hidden;
  /* overflow-y: auto;
  scrollbar-width: none; */
}

.more {
  text-align: center;
}

.more a {
  color: #3d79bf;
  font-size: 0.46rem;
  font-weight: bold;
}




.news-list li a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #393939;
}

.news-list li a p {
  font-size: 0.18rem;
    font-family: 'Heavy';
    font-weight: 600;
  line-height: 0.46rem;
}

.news-list li a p:first-child {
  width: 3.2rem;
  overflow: hidden;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-list li a:hover {
  color: #074d9f;
}

/* 最新资讯end */







/* 角色展示页面样式 */
.role {
    background: url(../../../images/pc/role-bg.jpg) center no-repeat;
    background-size: cover;
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.role .container {
    width: 100%;
    height: 100%;
    position: relative;
}

/* 左侧大图展示区 */
.role-display {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.role-display .tan,
.role-display .mo {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.role-display .tan img,
.role-display .mo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center ;
    position: absolute;
    left: 0;
    top: 0;
    transition: all 0.3s ease;
}

/* 默认隐藏所有背景图，通过JS控制显示 */
.role-display .tan img:not(:first-child),
.role-display .mo img {
    display: none;
}


/* 右侧头像列表区 */
.role-avatars {
    position: absolute;
    right:0.8rem;
    top: 54%;
    z-index: 10;
}

.avatar-group {
    display: none;
     width: 10rem;
}
.role-avatars .avatar-group:nth-child(2){
    width: 8.5rem !important;
}
.avatar-group.active {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 10rem;

}

.avatar-item {
    position: relative;
    cursor: pointer;
    transition: all 0.3s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* 伪元素：active/hover时的装饰背景圈 */
.avatar-item::after {
    content: "";
    position: absolute;
    left: 53%;
    top: 65.5%;
    transform: translate(-50%, -50%);
    width: 2.12rem;
    height: 2.06rem;
    background: url(../../../images/pc/avatar-active-bg.png) no-repeat center/contain;
    z-index: -1;
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.avatar-item:hover::after,
.avatar-item.active::after {
    opacity: 1;
}

.avatar-item img {
    width: 1.41rem;
    height: 1.41rem;
    object-fit: cover;
    transition: all 0.3s ease;
    position: relative;
    z-index: 1;
}

.avatar-item span {
    font-size: 0.25rem;
    color: #073f59;
    line-height: 0.65rem;
    white-space: nowrap;
    transition: color 0.3s ease;
    font-weight: bold;
}


/* 种族切换按钮 */
.race-switcher {
    position: absolute;
    top:78%;
    left: 73%;
    transform: translateX(-50%);
    display: flex;
    gap: 0.3rem;
    z-index: 10;
}
.race-btn {
   display: inline-block;
   width: 3.08rem;
   height: 0.71rem;
   background: url(../../../images/pc/tanpu-btn.png) no-repeat;
   background-size: cover;
       cursor: pointer;
    transition: all 0.3s ease;
    border: none;
}
.race-btn:nth-child(2){
background-position-y: -0.71rem;
}
.race-btn:hover,
.race-btn.active {
    display: inline-block;
   width: 3.08rem;
   height: 0.71rem;
   background: url(../../../images/pc/moling-btn.png) no-repeat;
   background-size: cover;
}

.race-btn:nth-child(2):hover,
.race-btn:nth-child(2).active {
background-position-y: -0.71rem;
}

